curl --request GET \
--url https://eu.phrase.com/styleguide/api/v1/styleguides/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/styleguide/api/v1/styleguides/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/styleguide/api/v1/styleguides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.phrase.com/styleguide/api/v1/styleguides/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu.phrase.com/styleguide/api/v1/styleguides/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu.phrase.com/styleguide/api/v1/styleguides/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.phrase.com/styleguide/api/v1/styleguides/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "018e1234-5678-7890-abcd-ef1234567890",
"name": "English Style Guide",
"description": "Style guide for English content",
"language": {
"bcpCode": "en-GB",
"description": "English (United Kingdom)",
"language": "cs",
"region": "gb",
"script": "LATN"
},
"isDefault": false,
"createdBy": {
"id": "0015oCjtouINgRCDIvQtjo",
"username": "john.doe",
"fullName": "John Doe",
"email": "john.doe@example.com",
"avatarUrl": "https://example.com/avatars/john-doe.png"
},
"lastModifiedBy": {
"id": "0015oCjtouINgRCDIvQtjo",
"username": "john.doe",
"fullName": "John Doe",
"email": "john.doe@example.com",
"avatarUrl": "https://example.com/avatars/john-doe.png"
},
"contentGroup": {
"id": "my-content-group"
},
"versions": [
{
"id": "018e1234-5678-7890-abcd-ef1234567890",
"versionNumber": 1,
"name": "English Style Guide v1",
"description": "Initial version of the style guide",
"changeNotes": "Updated grammar rules and added new terminology",
"fileName": "StyleGuide.md",
"fileSizeBytes": 1024,
"fileType": "text/markdown",
"createdAt": "2024-01-15T10:30:00Z",
"lastModifiedAt": "2024-01-15T10:30:00Z",
"lastModifiedBy": {
"id": "0015oCjtouINgRCDIvQtjo",
"username": "john.doe",
"fullName": "John Doe",
"email": "john.doe@example.com",
"avatarUrl": "https://example.com/avatars/john-doe.png"
},
"contentGroup": {
"id": "my-content-group"
}
}
],
"createdAt": "2024-01-15T10:30:00Z",
"lastModifiedAt": "2024-01-15T10:30:00Z",
"extractedRulesCount": 25
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}Get a Style Guide
Returns a Style Guide.
curl --request GET \
--url https://eu.phrase.com/styleguide/api/v1/styleguides/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/styleguide/api/v1/styleguides/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/styleguide/api/v1/styleguides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.phrase.com/styleguide/api/v1/styleguides/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu.phrase.com/styleguide/api/v1/styleguides/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu.phrase.com/styleguide/api/v1/styleguides/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.phrase.com/styleguide/api/v1/styleguides/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "018e1234-5678-7890-abcd-ef1234567890",
"name": "English Style Guide",
"description": "Style guide for English content",
"language": {
"bcpCode": "en-GB",
"description": "English (United Kingdom)",
"language": "cs",
"region": "gb",
"script": "LATN"
},
"isDefault": false,
"createdBy": {
"id": "0015oCjtouINgRCDIvQtjo",
"username": "john.doe",
"fullName": "John Doe",
"email": "john.doe@example.com",
"avatarUrl": "https://example.com/avatars/john-doe.png"
},
"lastModifiedBy": {
"id": "0015oCjtouINgRCDIvQtjo",
"username": "john.doe",
"fullName": "John Doe",
"email": "john.doe@example.com",
"avatarUrl": "https://example.com/avatars/john-doe.png"
},
"contentGroup": {
"id": "my-content-group"
},
"versions": [
{
"id": "018e1234-5678-7890-abcd-ef1234567890",
"versionNumber": 1,
"name": "English Style Guide v1",
"description": "Initial version of the style guide",
"changeNotes": "Updated grammar rules and added new terminology",
"fileName": "StyleGuide.md",
"fileSizeBytes": 1024,
"fileType": "text/markdown",
"createdAt": "2024-01-15T10:30:00Z",
"lastModifiedAt": "2024-01-15T10:30:00Z",
"lastModifiedBy": {
"id": "0015oCjtouINgRCDIvQtjo",
"username": "john.doe",
"fullName": "John Doe",
"email": "john.doe@example.com",
"avatarUrl": "https://example.com/avatars/john-doe.png"
},
"contentGroup": {
"id": "my-content-group"
}
}
],
"createdAt": "2024-01-15T10:30:00Z",
"lastModifiedAt": "2024-01-15T10:30:00Z",
"extractedRulesCount": 25
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>"
}Authorizations
JWT from IDM (Authorization: Bearer )
Path Parameters
Style Guide ID
Query Parameters
Whether to include versions in the response
Response
Style Guide retrieved successfully
Style Guide information
Unique identifier of the Style Guide
"018e1234-5678-7890-abcd-ef1234567890"
Name of the Style Guide (latest version)
50"English Style Guide"
Description of the Style Guide (latest version)
250"Style guide for English content"
Language details
Show child attributes
Show child attributes
Whether this is the default Style Guide
false
User who created the Style Guide
Show child attributes
Show child attributes
User who last modified the Style Guide
Show child attributes
Show child attributes
Content group associated with this Style Guide
Show child attributes
Show child attributes
List of all versions of this Style Guide. Only present when includeVersions=true.
Show child attributes
Show child attributes
Timestamp when the Style Guide was created
"2024-01-15T10:30:00Z"
Timestamp when the Style Guide was last modified
"2024-01-15T10:30:00Z"
Number of rules extracted and linked to the content group during this create/update operation. Only present for create/update responses when a content group is set; absent otherwise.
25
Was this page helpful?